/* lsys_draw.h
 *
 * Copyright (C) 2002 Ron Coscorrosa
 *
 * This software is released under the terms of the GNU General Public License
 * (GNU GPL), see the file COPYING for details.
 *
 */

#ifndef LSYS_DRAW_H
#define LSYS_DRAW_H

#include "constants.h"
#include "lsyswin_ui.h"

extern int parse_rules (char * rule_string, lsys_window * win);
extern void draw_lsys (lsys_window * win);
extern void get_lsys_size (lsys_window * win, int depth);
extern void draw_rule (lsys_window * win,
		char * rule, int depth, int draw,
		guint * line_count, int max_depth);
extern int get_current_lsys (lsys_window * win);

#endif /* LSYS_DRAW_H */

